package com.rf.psychological.wxpay.utils;

import com.alibaba.druid.sql.visitor.functions.Concat;
import com.rf.psychological.utils.Constant;
import com.wechat.pay.contrib.apache.httpclient.util.PemUtil;
import org.apache.commons.lang.StringUtils;

import java.io.ByteArrayInputStream;
import java.io.UnsupportedEncodingException;
import java.security.*;
import java.text.SimpleDateFormat;
import java.util.Base64;
import java.util.Date;
import java.util.Random;

/**
 * @Description:订单号工具类
 * @Author: zsf
 * @Date: 2022/6/21
 */
public class OrderNoUtils {

    /**
     * 获取订单编号
     * @return
     */
    public static String getOrderNo() {
        return "ORDER_" + getNo();
    }

    /**
     * 根据商户号生成订单号
     * @param merchantNo
     * @return
     */
    public static String getOrderNoByMerchantNo(String merchantNo) {
        if (StringUtils.isEmpty(merchantNo)){
            return "ORDER_" + getNo();
        }else {
            return "ORDER_"+merchantNo+ "_" + getNo();
        }
    }

    /**
     * 获取退款单编号
     * @return
     */
    public static String getRefundNo() {
        return "REFUND_" + getNo();
    }

    public static String getDouYinOrderNo() {
        return "ORDER_DOUYIN_" + getNo();
    }

    /**
     * 获取编号
     * @return
     */
    public static String getNo() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        String newDate = sdf.format(new Date());
        StringBuilder result = new StringBuilder();
        Random random = new Random();
        for (int i = 0; i < 3; i++) {
            result.append(random.nextInt(10));
        }
        return newDate + result;
    }

}
